Type to search.

Update attachment origin

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental since 9.4 This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Update the origin reference for an attachment. Use this after saving a by-value attachment to link it to its persistent store.

Required privileges

Privileges agentBuilder:read. Extended privileges (optional, expand functionality when granted): agentBuilder:manageAgents

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

conversation_id string · max length: 256 required

The unique identifier of the conversation.

attachment_id string · max length: 256 required

The unique identifier of the attachment to update.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

origin string · max length: 2048 required

The origin string (e.g., saved object ID for visualizations and dashboards).

Response

200

Indicates a successful response

application/json